[SWS-422] Class AxiomUtils is not java 1.4 compatible Created: 26/Aug/08  Updated: 04/May/12  Resolved: 01/Sep/08

Status: Closed
Project: Spring Web Services
Component/s: Core
Affects Version/s: 1.5.1, 1.5.2, 1.5.3, 1.5.4
Fix Version/s: 1.5.5

Type: Bug Priority: Major
Reporter: Tareq Abedrabbo Assignee: Arjen Poutsma
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified

Attachments: File SWS-422.patch    

 Description   

In the class AxiomUtils, the methods toDocument and toEnvelope construct an IllegalArgumentException with a constructor introduced in java 1.5:
public IllegalArgumentException(String message, Throwable cause)



 Comments   
Comment by Tareq Abedrabbo [ 26/Aug/08 ]

patch.

Comment by Arjen Poutsma [ 04/May/12 ]

Closing old issues

Generated at Wed Nov 21 17:36:56 UTC 2018 using JIRA 7.9.2#79002-sha1:3bb15b68ecd99a30eb364c4c1a393359bcad6278.